#!/bin/sh

[ -z "$1" ] && printf "Usage: screenshot.sh [output|active|window] \n" && exit 0

dark() {
cp -f ~/.config/swaync/style.mocha.css ~/.config/swaync/style.css
setsid -f killall swaync >/dev/null 2>&1
sleep 2 && setsid -f swaync >/dev/null 2>&1
echo 'swaync set'

# TODO
cat ~/.config/foot/foot.ini >> ~/.config/foot/foot.ini
echo 'foot terminal set, reopen to change'

# TODO emacs

# TODO gtk

# TODO gtk flatpak
sudo flatpak override --env GTK_THEME=Materia-dark
# TODO browser
}

light() {
cp -f ~/.config/swaync/style.latte.css ~/.config/swaync/style.css
setsid -f killall swaync >/dev/null 2>&1
sleep 2 && setsid -f swaync >/dev/null 2>&1
echo 'swaync set'

# TODO
cat ~/.config/foot/foot.ini >> ~/.config/foot/foot.ini
echo 'foot terminal set, reopen to change'

# TODO emacs

# TODO gtk
# TODO gtk flatpak
sudo flatpak override --env GTK_THEME=Materia
# TODO browser
}

if [[ -n "$1" ]]; then
  case "$1" in
    dark) dark
    *)
      echo $@ is not an argument
      break
      ;;
  esac
fi

